function submit_do(obj)
{
	var all = obj.getElementsByTagName("input");
	for(i=0;i<all.length;i++)
	{
		if(all[i].type=="text" && all[i].value=="")
		{
			all[i].focus();
			return false; 
		}
	}
	return true;
}
function selectch(obj,id)
{
	for(i=0;i<obj.length;i++)
	{
		 if(obj[i].selected == true)
	 	{
	 		document.getElementById(id).innerHTML = obj[i].innerHTML;
	 	}
	}
}
function rachange(obj,v)
{
	var all = document.getElementById("radio").getElementsByTagName("a");
	for(var i=0;i<all.length;i++)
	{
		all[i].className = "";
	}
	obj.className = "now";
	form1.type.value = v;
}
function get_result(url,para,id)
{
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function()
  {
	   if(xmlhttp.readyState==4 && xmlhttp.status==200)
		 {
		    document.getElementById(id).innerHTML=xmlhttp.responseText;
		 }
  }
	xmlhttp.open("POST",url,false);
	xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp.send(para);
}

function timeformat(datestrin,format){
	datein = stringTodate(datestrin);
	var o = { 
		"M+" : datein.getMonth()+1, //month 
		"d+" : datein.getDate(), //day 
		"h+" : datein.getHours(), //hour 
		"m+" : datein.getMinutes(), //minute 
		"s+" : datein.getSeconds(), //second 
		"q+" : Math.floor((datein.getMonth()+3)/3), //quarter 
		"S" : datein.getMilliseconds() //millisecond 
	} 

	if(/(y+)/.test(format)) { 
		format = format.replace(RegExp.$1, (datein.getFullYear()+"").substr(4 - RegExp.$1.length)); 
	} 

	for(var k in o) { 
		if(new RegExp("("+ k +")").test(format)) { 
			format = format.replace(RegExp.$1, RegExp.$1.length==1 ? o[k] : ("00"+ o[k]).substr((""+ o[k]).length)); 
		} 
	} 
	return format; 
}
function stringTodate(DateStr)
{
	var converted = Date.parse(DateStr);
	var myDate = new Date(converted);
	if (isNaN(myDate))
	{   
		var arys= DateStr.split('-');
		myDate = new Date(arys[0],--arys[1],arys[2]);
	}
	return myDate;
}
function datediff(dtStart, dtEnd, type)
{
    if (typeof dtStart == 'string' )
    {
        dtStart = stringTodate(dtStart);
    }
    if (typeof dtEnd == 'string' )
    {
        dtEnd = stringTodate(dtEnd);
    }
    switch (type) {
        case 's' :return parseInt((dtEnd - dtStart) / 1000);
        case 'n' :return parseInt((dtEnd - dtStart) / 60000);
        case 'h' :return parseInt((dtEnd - dtStart) / 3600000);
        case 'd' :return parseInt((dtEnd - dtStart) / 86400000);
        case 'w' :return parseInt((dtEnd - dtStart) / (86400000 * 7));
        case 'm' :return (dtEnd.getMonth()+1)+((dtEnd.getFullYear()-dtStart.getFullYear())*12) - (dtStart.getMonth()+1);
        case 'y' :return dtEnd.getFullYear() - dtStart.getFullYear();
    }
}
function gettime(timenow, type){
	date = timenow.substr(0,10);
	time = timenow.substr(11);
	if(type == "date")
		return timeformat(date,"yyyy年MM月dd日");
	else if(type == "time")
		return time;
}
function getnextnday(n){
	myDate = new Date();
	nexttime = myDate.getTime() + (86400000 * n);
	myDate.setTime(nexttime);
	nextdate = timeformat(myDate.toLocaleDateString(),"yyyy-MM-dd");
	return nextdate;
}
function getweekshow(day,type){
	var weekArray = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");
	var arys1 = day.split('-');  //日期格式为 2013-03-10
	var ssdate=new Date(arys1[0],parseInt(arys1[1]-1),arys1[2]);
	var h = "";
	arys1[1] = (arys1[1] == "10")? arys1[1] : arys1[1].replace("0","");
	if(type == 0)
		h = day.substring(5) + "<br/>" + weekArray[ssdate.getDay()];
	else if(type == 1)
		h = arys1[1] + "月" + arys1[2] +"日　" + weekArray[ssdate.getDay()];
	return h;
}